package com.tuoheng.admin.tzhl;

import com.tuoheng.admin.tzhl.service.airport.TZHLGetAirportListService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/8/9
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class TZHLGetAirportListServiceTest {

    @Autowired
    private TZHLGetAirportListService tzhlGetAirportListService;

    @Test
    public void testGetAirportListTest() {
        List<Long> ids = new ArrayList<>();
        ids.add(null);
        JsonResult result = tzhlGetAirportListService.getAirportList(ids);
        System.out.println("data" + result.getData());
    }

}
